%global pkgname django-dynamite 

Name:           python-django-dynamite
Version:        0.4.1
Release:        11%{?dist}
Summary:        Dynamic models framework

Group:          Development/Languages
License:        ASL 2.0
URL:            http://pypi.python.org/packages/source/d/django-dynamite/
Source0:        http://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%if 0%{?fedora} >= 18
Requires:       python-django-south
BuildRequires:  python-django-south
%else
Requires:       Django-south
BuildRequires:  Django-south
%endif

%if 0%{?fedora} >= 18
Requires:       python-django
BuildRequires:  python-django
%else
Requires:       Django
BuildRequires:  Django
%endif


%description
This package provides a module to create dynamic models 
in django and use it in view and admin interface. Thx to 
`Will Hardy`_ for this fantastic paper `Runtime Dynamic 
Models Documentation`

%prep
%setup -q -n %{pkgname}-%{version}
rm -rf %{pkgname}.egg-info

%build
python setup.py build

%install
python setup.py install --skip-build --root %{buildroot}

%check
python setup.py test
 
%files
%doc
%{python_sitelib}/dynamite
%{python_sitelib}/django_dynamite-%{version}-py?.?.egg-info

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-11
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Sep 23 2012 Luis Bazan <lbazan@fedoraproject.org> 0.4.1-5
- fix BZ 844775 comment 3

* Fri Sep 07 2012 Luis Bazan <lbazan@fedoraproject.org> 0.4.1-4
- fix check section
- fix install section

* Thu Aug 09 2012 Luis Bazan <lbazan@fedoraproject.org> 0.4.1-3
- fix BuildRequires

* Thu Aug 02 2012 Luis Bazan <lbazan@fedoraproject.org> 0.4.1-2
- Remove define python lib
- add check section

* Tue Jul 31 2012 Luis Bazan <lbazan@fedoraproject.org> 0.4.1-1
- Initial Import
